
From: Lars Marowsky-Bree <lmb@suse.de>

On 2005-04-15T00:56:35, Domen Puncer <domen@coderock.org> wrote:

> This is permissions in sysfs (or 0 if no file is to be created).

Duh. Should have caught that. Try this one.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/block/nbd.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/block/nbd.c~nbd-dont-create-all-max_nbd-devices-by-default-all-the-time-fix drivers/block/nbd.c
--- 25/drivers/block/nbd.c~nbd-dont-create-all-max_nbd-devices-by-default-all-the-time-fix	2005-04-25 19:08:03.399312800 -0700
+++ 25-akpm/drivers/block/nbd.c	2005-04-25 19:08:05.026065496 -0700
@@ -78,7 +78,7 @@
 #define DBG_RX          0x0200
 #define DBG_TX          0x0400
 static unsigned int debugflags;
-static unsigned int nbds_max;
+static unsigned int nbds_max = 16;
 #endif /* NDEBUG */
 
 static struct nbd_device nbd_dev[MAX_NBD];
@@ -733,7 +733,7 @@ module_exit(nbd_cleanup);
 MODULE_DESCRIPTION("Network Block Device");
 MODULE_LICENSE("GPL");
 
-module_param(nbds_max, int, 16);
+module_param(nbds_max, int, 0444);
 MODULE_PARM_DESC(nbds_max, "How many network block devices to initialize.");
 #ifndef NDEBUG
 module_param(debugflags, int, 0644);
_
